CREATE TABLE `user_role`
(
    `id`          bigint unsigned            NOT NULL AUTO_INCREMENT COMMENT 'PK',
    `brand`       varchar(50)     DEFAULT '' NOT NULL COMMENT '',
    `uid`         varchar(50)                NOT NULL,
    `role_id`     varchar(50)                NOT NULL,
    `status`      tinyint                    NOT NULL DEFAULT '1' COMMENT '狀態 1: 啟用, 2: 禁用',
    `create_time` bigint          DEFAULT 0  NOT NULL COMMENT '創建時間',
    `update_time` bigint          DEFAULT 0  NOT NULL COMMENT '更新時間',
    PRIMARY KEY (`id`),
    UNIQUE KEY `uid_unique_key` (`uid`)
) ENGINE = InnoDB COMMENT ='會員角色';