CREATE TABLE `role_permission`
(
    `id`            bigint unsigned           NOT NULL AUTO_INCREMENT COMMENT 'PK',
    `role_id`       bigint unsigned DEFAULT NULL COMMENT 'role.id',
    `permission_id` bigint unsigned DEFAULT NULL COMMENT 'permission.id',
    `create_time`   bigint          DEFAULT 0 NOT NULL COMMENT '創建時間',
    `update_time`   bigint          DEFAULT 0 NOT NULL COMMENT '更新時間',
    PRIMARY KEY (`id`),
    KEY `category_id_permission_id_index` (`role_id`, `permission_id`)
) ENGINE = InnoDB COMMENT ='角色權限';