package entity

import "go.mongodb.org/mongo-driver/bson/primitive"

type RolePermission struct {
	ID           primitive.ObjectID `bson:"_id,omitempty"`
	RoleID       string             `bson:"role_id"`       // 對應 Role 的 _id
	PermissionID string             `bson:"permission_id"` // 對應 Permission 的 _id
	CreateAt     int64              `bson:"create_at"`
	UpdateAt     int64              `bson:"update_at"`
}

func (c *RolePermission) Collection() string {
	return "role_permission"
}
