-- 通常會把整個表都放到記憶體當中，不常搜尋，不需要加其他搜尋的 index
CREATE TABLE `permission`
(
    `id`          bigint unsigned           NOT NULL AUTO_INCREMENT COMMENT 'PK',
    `parent`      bigint unsigned DEFAULT NULL,
    `name`        varchar(255)              NOT NULL,
    `http_method` varchar(255)              NOT NULL,
    `http_path`   text                      NOT NULL,
    `status` tinyint NOT NULL DEFAULT '1' COMMENT '狀態 1: 啟用, 2: 關閉',
    `type` tinyint NOT NULL DEFAULT '1' COMMENT '狀態 1: 後台, 2: 前台',
    `create_time` bigint          DEFAULT 0 NOT NULL COMMENT '創建時間',
    `update_time` bigint          DEFAULT 0 NOT NULL COMMENT '更新時間',
    PRIMARY KEY (`id`),
    UNIQUE KEY `name_unique_key` (`name`)
) ENGINE = InnoDB COMMENT ='權限表';