package config

import (
	"time"

	"github.com/zeromicro/go-zero/core/stores/redis"
	"github.com/zeromicro/go-zero/zrpc"
)

type Config struct {
	zrpc.RpcServerConf

	// Redis Cluster
	RedisCluster redis.RedisConf

	Token struct {
		RefreshExpires time.Duration
		Expired        time.Duration
		Secret         string
	}
}
