package repository

import (
	"github.com/casbin/casbin/v2/persist"
)

// 角色權限策略 (policy.csv) 以 const 定義
/*
	p, admin, data1, read
	p, admin, data1, write
	p, user, data1, read

	g, alice, admin
	g, bob, user
*/

// RBACAdapter  資料接收器，讓 Casbin 讀取規則的，類似上面這種規則
type RBACAdapter interface {
	persist.Adapter
}
